POST resource/link-resource

Link a resource list to other resource

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
resource_id

Resource to be linked by the resource list

globally unique identifier

Required

community_short_name

Community short name

string

Required

resoruce_list_to_link

List of resources to link

Collection of globally unique identifier

Optional

Request Formats

application/json, text/json

Sample:
{
  "resource_id": "a65e926d-219c-4233-838b-20f5818e49a5",
  "community_short_name": "sample string 2",
  "resoruce_list_to_link": [
    "9570c180-9304-4f47-9e2f-89a74e35fd1e",
    "e94a6747-83e9-4105-900b-aff96e3a157b"
  ]
}

Response Information

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...